Request
|
Endpoint:
|
/api/numbers/reserve
|
|
Method:
|
POST
|
|
Headers:
|
Accept: application/vnd.cloudlx.v1+json
|
|
Content-type: application/json
|
|
Authorization: Bearer <access_token>
|
Example JSON Request:
{
"number_uuids": [
"7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
"f560af7e68c9-d5d9-f2b4-ecb6-f0e723c7"
],
"activate_on": "2014-01-01",
"purchase_order_number": "PO 1234",
"sbc_trunk_group_id": [4, 74],
"number_translations": [
{
"number_uuid": "7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
"all": "442034444444"
},
{
"number_uuid": "f560af7e68c9-d5d9-f2b4-ecb6-f0e723c7",
"all": "442035555555"
}
],
"number_addresses": [
{
"number_uuid": "7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
"number_address_id": 8
},
{
"number_uuid": "f560af7e68c9-d5d9-f2b4-ecb6-f0e723c7",
"number_address_id": 7
}
],
"emergency_number_addresses": [
{
"number_uuid": "7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
"emergency_number_address_id": 1
},
],
"features": [
{
"number_uuid": "7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
"features": {
"in_country_termination": 1,
"emergency_address_registration": 1
}
},
{
"number_uuid": "f560af7e68c9-d5d9-f2b4-ecb6-f0e723c7",
"features": {
"in_country_termination": 0,
"emergency_address_registration": 0
}
}
]
}
JSON Parameters
|
number_uuids
|
Description
|
List of number uuids which reference numbers you want to reserve to your account.
|
|
Type
|
Array[String]
|
|
Example
|
[
"7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
"f560af7e68c9-d5d9-f2b4-ecb6-f0e723c7",
...
]
|
Optional JSON Parameters
|
sbc_trunk_group_id
|
Description
|
A list of ID's referring the delivery trunk groups for call traffic.
A list of your delivery trunk groups and their locations can be obtained via the Trunk Group API.
|
|
Type
|
Array[Integer]
|
|
Example
|
[4, 74]
|
|
activate_on
|
Description
|
A well formatted date string indicated the day on which the number should be activated.
|
|
Type
|
String
|
|
Example
|
2014-01-01
|
|
number_translations
|
Description
|
An array of objects indicating translation numbers.
For Toll Free numbers provide any of fixed, mobile or payphone.
For any other type, provide all.
To block routing from any network type, provide the value as null.
|
|
Type
|
Array[Object]
|
|
Example
|
Toll Free:
[
{
"number_uuid": "7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
"fixed": "80011111111",
"mobile": "80011111112",
"payphone": "80011111113"
},
{
"number_uuid": "f560af7e68c9-d5d9-f2b4-ecb6-f0e723c7",
"fixed": "80022211111",
"mobile": "80022211112",
"payphone": "80022211113"
},
...
]
Any other number type:
[
{
"number_uuid": "7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
"all": "442034444444"
},
{
"number_uuid": "f560af7e68c9-d5d9-f2b4-ecb6-f0e723c7",
"all": "442035555555"
},
...
]
|
|
number_addresses
|
Description
|
An array of objects indicating the relation between numbers and proof of address for numbers in ranges which require or recommend proof of address.
|
|
Type
|
Array[Object]
|
|
Example
|
[
{
"number_uuid": "7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
"number_address_id": 8
},
{
"number_uuid": "f560af7e68c9-d5d9-f2b4-ecb6-f0e723c7",
"number_address_id": 7
},
...
]
|
|
emergency_number_addresses
|
Description
|
An array of objects indicating the relation between numbers and emergency services registration address for numbers with this feature or requirement.
|
|
Type
|
Array[Object]
|
|
Example
|
[
{
"number_uuid": "7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
"emergency_number_address_id": 8
},
{
"number_uuid": "f560af7e68c9-d5d9-f2b4-ecb6-f0e723c7",
"emergency_number_address_id": 7
},
...
]
|
|
features
|
Description
|
List of numbers and addition features requested for the order.
|
|
Type
|
Array[Object]
|
|
Example
|
[
{
"number_uuid": "7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
"features": {
"in_country_termination": 1,
"emergency_address_registration": 1
}
},
{
"number_uuid": "f560af7e68c9-d5d9-f2b4-ecb6-f0e723c7",
"features": {
"in_country_termination": 0,
"emergency_address_registration": 0
}
},
...
]
|
Response
{
"success": true,
"result": "Numbers allocated to account successfully"
}
|
success
|
Description
|
Boolean indicator for a successful request.
|
|
Type
|
Boolean
|
|
Example
|
true
|
|
result
|
Description
|
The result of the request
|
|
Type
|
String
|
|
Example
|
Numbers allocated to account successfully
|